// plugin/vue-renderer/renderer/render-node-test.js
import fs from 'fs'
import './render.js'

// const callArgument = `{"fileName":"jsform/nc/report/pallet-label/pallet-label", "state":{"rec":{},"hdr":{}}, "style":false, "js":"let a = ''", "html":"<nc-form id='pallet-label'><nc-span>Hello</nc-span></nc-form>"}`
// const ret = globalThis.renderPage(callArgument)

const callArgument = fs.readFileSync('./test-param.json', 'utf8')
const ret = globalThis.compileVueComponent(callArgument)
console.log(`🚀 ~ file: render.js:`, ret)
